Package org.jsoup.select

# Class Evaluator.AttributeWithValue

java.lang.Object
org.jsoup.select.Evaluator
org.jsoup.select.Evaluator.AttributeKeyPair
org.jsoup.select.Evaluator.AttributeWithValue

Enclosing class:
  `Evaluator`

public static final class Evaluator.AttributeWithValue extends Evaluator.AttributeKeyPair
Evaluator for attribute name/value matching

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jsoup.select.Evaluator

`Evaluator.AllElements, Evaluator.Attribute, Evaluator.AttributeKeyPair, Evaluator.AttributeStarting, Evaluator.AttributeWithValue, Evaluator.AttributeWithValueContaining, Evaluator.AttributeWithValueEnding, Evaluator.AttributeWithValueMatching, Evaluator.AttributeWithValueNot, Evaluator.AttributeWithValueStarting, Evaluator.Class, Evaluator.ContainsData, Evaluator.ContainsOwnText, Evaluator.ContainsText, Evaluator.ContainsWholeOwnText, Evaluator.ContainsWholeText, Evaluator.CssNthEvaluator, Evaluator.Id, Evaluator.IndexEquals, Evaluator.IndexEvaluator, Evaluator.IndexGreaterThan, Evaluator.IndexLessThan, Evaluator.IsEmpty, Evaluator.IsFirstChild, Evaluator.IsFirstOfType, Evaluator.IsLastChild, Evaluator.IsLastOfType, Evaluator.IsNthChild, Evaluator.IsNthLastChild, Evaluator.IsNthLastOfType, Evaluator.IsNthOfType, Evaluator.IsOnlyChild, Evaluator.IsOnlyOfType, Evaluator.IsRoot, Evaluator.Matches, Evaluator.MatchesOwn, Evaluator.MatchesWholeOwnText, Evaluator.MatchesWholeText, Evaluator.MatchText, Evaluator.Tag, Evaluator.TagEndsWith`

## Constructor Summary

Constructors
Constructor
Description
`AttributeWithValue(String key, String value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(Element root, Element element)`
Test if the element meets the evaluator's requirements.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttributeWithValue

public AttributeWithValue(String key, String value)

## Method Details

### matches

public boolean matches(Element root, Element element)
Description copied from class: `Evaluator`
Test if the element meets the evaluator's requirements.

Specified by:
  `matches` in class `Evaluator`
Parameters:
  `root` - Root of the matching subtree
  `element` - tested element
Returns:
  Returns `true` if the requirements are met or `false` otherwise

### toString

public String toString()

Overrides:
  `toString` in class `Object`